ALSA project - the C library reference: /builddir/build/BUILD/alsa-lib-1.1.4.1/src/pcm/pcm_hooks.c File Reference

ALSA project - the C library reference

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
pcm_hooks.c File Reference
Hook Extension

PCM Hook Interface. More...

## Functions
int | snd_pcm_hooks_open (snd_pcm_t **pcmp, const char *name, snd_pcm_t *slave, int close_slave)
| Creates a new hooks PCM. More...
int | _snd_pcm_hooks_open (snd_pcm_t **pcmp, const char *name, snd_config_t *root, snd_config_t *conf, snd_pcm_stream_t stream, int mode)
| Creates a new hooks PCM. More...
snd_pcm_t * | snd_pcm_hook_get_pcm (snd_pcm_hook_t *hook)
| Get PCM handle for a PCM hook. More...
void * | snd_pcm_hook_get_private (snd_pcm_hook_t *hook)
| Get callback function private data for a PCM hook. More...
void | snd_pcm_hook_set_private (snd_pcm_hook_t *hook, void *private_data)
| Set callback function private data for a PCM hook. More...
int | snd_pcm_hook_add (snd_pcm_hook_t **hookp, snd_pcm_t *pcm, snd_pcm_hook_type_t type, snd_pcm_hook_func_t func, void *private_data)
| Add a PCM hook at end of hooks chain. More...
int | snd_pcm_hook_remove (snd_pcm_hook_t *hook)
| Remove a PCM hook. More...
int | _snd_pcm_hook_ctl_elems_install (snd_pcm_t *pcm, snd_config_t *conf)
| Install CTL settings using hardware associated with PCM handle. More...

## Detailed Description

PCM Hook Interface.

Author
  Abramo Bagnara abram.nosp@m.o@al.nosp@m.sa-pr.nosp@m.ojec.nosp@m.t.org
  Jaroslav Kysela perex.nosp@m.@per.nosp@m.ex.cz

Date
  2000-2001

## Function Documentation

int _snd_pcm_hook_ctl_elems_install | ( | snd_pcm_t * | pcm,
|  | snd_config_t * | conf
| ) |  |

Install CTL settings using hardware associated with PCM handle.

Parameters

  pcm | PCM handle
  conf | Configuration node with CTL settings

Returns
  zero on success otherwise a negative error code

int _snd_pcm_hooks_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | snd_config_t * | root,
|  | snd_config_t * | conf,
|  | snd_pcm_stream_t | stream,
|  | int | mode
| ) |  |

Creates a new hooks PCM.

Parameters

  pcmp | Returns created PCM handle
  name | Name of PCM
  root | Root configuration node
  conf | Configuration node with hooks PCM description
  stream | PCM Stream
  mode | PCM Mode

Return values

  zero | on success otherwise a negative error code

Warning
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.

int snd_pcm_hooks_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | snd_pcm_t * | slave,
|  | int | close_slave
| ) |  |

Creates a new hooks PCM.

Parameters

  pcmp | Returns created PCM handle
  name | Name of PCM
  slave | Slave PCM
  close_slave | If set, slave PCM handle is closed when hooks PCM is closed

Return values

  zero | on success otherwise a negative error code

Warning
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.